/*
 * This source file was generated by the Gradle 'init' task
 */
package org.example;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class LibraryTest {

    @Test
    void someLibraryMethodReturnsTrue() {
        Library classUnderTest = new Library();
        assertTrue(classUnderTest.someLibraryMethod(), "someLibraryMethod should return 'true'");
    }

    @Test
    void greetShouldReturnCorrectGreeting() {
        Library classUnderTest = new Library();
        assertEquals("Hello, World!", classUnderTest.greet("World"), "greet should return correct greeting");
        assertEquals("Hello, !", classUnderTest.greet(null), "greet should handle null input");
    }
}
